Package: grails.build.support

## [Java] Class MetaClassRegistryCleaner.IdentityWeakReference

- grails.build.support.MetaClassRegistryCleaner.IdentityWeakReference

-     private static final class MetaClassRegistryCleaner.IdentityWeakReference
      extends java.lang.ref.WeakReference

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private int` | `hash` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IdentityWeakReference (java.lang.Object referent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(java.lang.Object obj)`
    `` | `public int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.ref.WeakReference` | `java.lang.ref.WeakReference#get(), java.lang.ref.WeakReference#clear(), java.lang.ref.WeakReference#isEnqueued(), java.lang.ref.WeakReference#enqueue(), java.lang.ref.WeakReference#reachabilityFence(java.lang.Object), java.lang.ref.WeakReference#wait(long), java.lang.ref.WeakReference#wait(long, int), java.lang.ref.WeakReference#wait(), java.lang.ref.WeakReference#equals(java.lang.Object), java.lang.ref.WeakReference#toString(), java.lang.ref.WeakReference#hashCode(), java.lang.ref.WeakReference#getClass(), java.lang.ref.WeakReference#notify(), java.lang.ref.WeakReference#notifyAll()`

- - ### Field Detail

    - #### private int hash

  - ### Constructor Detail

    - #### public IdentityWeakReference(java.lang.Object referent)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object obj)

    - #### @java.lang.Override public int hashCode()